Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRPrintServiceExporterParameter

    java.lang.Object
      net.sf.jasperreports.engine.JRExporterParameter
          net.sf.jasperreports.engine.export.JRPrintServiceExporterParameter

    public class JRPrintServiceExporterParameter

extends JRExporterParameter

Version:
  $Id: JRPrintServiceExporterParameter.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static JRPrintServiceExporterParameter` | `DISPLAY_PAGE_DIALOG` A boolean value specifying whether a page setup dialog should be opened before printing.
`static JRPrintServiceExporterParameter` | `DISPLAY_PAGE_DIALOG_ONLY_ONCE` A boolean value specifying whether a page setup dialog should be opened only once before printing in a batch export job.
`static JRPrintServiceExporterParameter` | `DISPLAY_PRINT_DIALOG` A boolean value specifying whether a print setup dialog should be opened before printing.
`static JRPrintServiceExporterParameter` | `DISPLAY_PRINT_DIALOG_ONLY_ONCE` A boolean value specifying whether a print setup dialog should be opened only once in a batch export job.
`static JRPrintServiceExporterParameter` | `PRINT_REQUEST_ATTRIBUTE_SET` An instance of `javax.print.attribute.PrintRequestAttributeSet`.
`static JRPrintServiceExporterParameter` | `PRINT_SERVICE` An instance of `javax.print.PrintService`, useful if users do not want JPS to lookup for an available print service.
`static JRPrintServiceExporterParameter` | `PRINT_SERVICE_ATTRIBUTE_SET` An instance of `javax.print.attribute.PrintServiceAttributeSet`.

Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter
`CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, FONT_MAP, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

Constructor Summary
`protected` | `JRPrintServiceExporterParameter(java.lang.String name)`

Method Summary

Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PRINT_REQUEST_ATTRIBUTE_SET

    public static final JRPrintServiceExporterParameter PRINT_REQUEST_ATTRIBUTE_SET

  An instance of `javax.print.attribute.PrintRequestAttributeSet`.

### PRINT_SERVICE_ATTRIBUTE_SET

    public static final JRPrintServiceExporterParameter PRINT_SERVICE_ATTRIBUTE_SET

  An instance of `javax.print.attribute.PrintServiceAttributeSet`.

### DISPLAY_PAGE_DIALOG

    public static final JRPrintServiceExporterParameter DISPLAY_PAGE_DIALOG

  A boolean value specifying whether a page setup dialog should be opened before printing.

### DISPLAY_PAGE_DIALOG_ONLY_ONCE

    public static final JRPrintServiceExporterParameter DISPLAY_PAGE_DIALOG_ONLY_ONCE

  A boolean value specifying whether a page setup dialog should be opened only once before printing in a batch export job.

### DISPLAY_PRINT_DIALOG

    public static final JRPrintServiceExporterParameter DISPLAY_PRINT_DIALOG

  A boolean value specifying whether a print setup dialog should be opened before printing.

### DISPLAY_PRINT_DIALOG_ONLY_ONCE

    public static final JRPrintServiceExporterParameter DISPLAY_PRINT_DIALOG_ONLY_ONCE

  A boolean value specifying whether a print setup dialog should be opened only once in a batch export job.

### PRINT_SERVICE

    public static final JRPrintServiceExporterParameter PRINT_SERVICE

  An instance of `javax.print.PrintService`, useful if users do not want JPS to lookup for an available print service.

Constructor Detail

### JRPrintServiceExporterParameter

    protected JRPrintServiceExporterParameter(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com